namespace Icarus.Graphics.Animation
{
	public class AnimationType
	{
		/**
		 * Denotes that the animation is static.
		 */
		public static AnimationType None = new AnimationType("None");

		/**
		 * The animation loops through once, and freezes at the last frame.
		 */
		public static AnimationType LoopOnce = new AnimationType("LoopOnce");

		/**
		 * The animation will loop forever.
		 */
		public static AnimationType LoopForever = new AnimationType("LoopForever");

		private string name;
		private AnimationType(string n) { name = n; }
		public override string ToString() { return name; }
		public static AnimationType FromString(string v)
		{
			if (v.Equals("LoopOnce")) return AnimationType.LoopOnce;
			else if (v.Equals("LoopForever")) return AnimationType.LoopForever;
			else return AnimationType.None;
		}
	}
}

